Skip to content

Workspace

1 endpoint: retrieve the workspace.

Retrieve the Workspace

GET /v1/workspace

Returns the Workspace this key belongs to and its developer platform limits.

Permission: workspace:read

Response

FieldTypeRequiredDescription
object"workspace"Yes
idstringYes(up to 128 characters)
namestringYes
typebusiness, personalYes
limitsobjectYes
limits.requests_per_minuteintegerYes(-9007199254740991 to 9007199254740991)
limits.active_keysinteger or nullYes
limits.webhook_endpointsinteger or nullYes
limits.sandboxesinteger or nullYes
curl https://api.nowscale.com/v1/workspace \
  -H "Authorization: Bearer $NOWSCALE_API_KEY"